// Code generated by ent, DO NOT EDIT.

package migrate

import (
	"entgo.io/ent/dialect/sql/schema"
	"entgo.io/ent/schema/field"
)

var (
	// DefinitionsColumns holds the columns for the "definitions" table.
	DefinitionsColumns = []*schema.Column{
		{Name: "id", Type: field.TypeInt, Increment: true},
		{Name: "created_at", Type: field.TypeTime},
		{Name: "updated_at", Type: field.TypeTime},
		{Name: "text", Type: field.TypeString, Size: 256},
		{Name: "term_definitions", Type: field.TypeInt, Nullable: true},
	}
	// DefinitionsTable holds the schema information for the "definitions" table.
	DefinitionsTable = &schema.Table{
		Name:       "definitions",
		Columns:    DefinitionsColumns,
		PrimaryKey: []*schema.Column{DefinitionsColumns[0]},
		ForeignKeys: []*schema.ForeignKey{
			{
				Symbol:     "definitions_terms_definitions",
				Columns:    []*schema.Column{DefinitionsColumns[4]},
				RefColumns: []*schema.Column{TermsColumns[0]},
				OnDelete:   schema.SetNull,
			},
		},
		Indexes: []*schema.Index{
			{
				Name:    "definition_text_term_definitions",
				Unique:  true,
				Columns: []*schema.Column{DefinitionsColumns[3], DefinitionsColumns[4]},
			},
		},
	}
	// TermsColumns holds the columns for the "terms" table.
	TermsColumns = []*schema.Column{
		{Name: "id", Type: field.TypeInt, Increment: true},
		{Name: "created_at", Type: field.TypeTime},
		{Name: "updated_at", Type: field.TypeTime},
		{Name: "text", Type: field.TypeString, Unique: true, Size: 128},
	}
	// TermsTable holds the schema information for the "terms" table.
	TermsTable = &schema.Table{
		Name:       "terms",
		Columns:    TermsColumns,
		PrimaryKey: []*schema.Column{TermsColumns[0]},
		Indexes: []*schema.Index{
			{
				Name:    "term_text",
				Unique:  false,
				Columns: []*schema.Column{TermsColumns[3]},
			},
		},
	}
	// Tables holds all the tables in the schema.
	Tables = []*schema.Table{
		DefinitionsTable,
		TermsTable,
	}
)

func init() {
	DefinitionsTable.ForeignKeys[0].RefTable = TermsTable
}
